Pokyny pro interpretaci seznamu slov a nahrávání
================================================

Soubor `words' obsahuje zvolenou sadu umělých slov pro namluvení difonové
databáze.  Během nahrávání je nutné co nejvíce dbát na zachování jednotnosti a
monotónnosti hlasu (síla, intonace, rychlost) celé nahrávky.  Pozor na
zachovávání stále stejné vzdálenosti od mikrofonu!

Doporučuje se po přemluvení všech slov toto celé ještě jednou zopakovat, pro
případ různých chyb v nahrávce a pro možnost výběru výsledného vzorku ze dvou
možností.

Mezi jednotlivými slovy je potřeba dělat zřetelné pauzy, aby bylo možno
nahrávku na tato slova automaticky rozsekat.  Dále je třeba dbát na to, aby
znělé souhlásky byly vyslovovány skutečně zněle a na zřetelné (až vrčivé)
vyslovování hlásky R.  Pozor na úvodní nádechy a závěrečné výdechy v difonech
obsahujících pauzu.

Pokud mluvčí při čtení textu udělá chybu, chybně přečtenou jednotku textu
zopakuje.

V souboru `words' je každé slovo (nebo skupina slov, která má být vyslovena
pohromadě) uvedeno na jednom řádku.  V hranatých závorkách je uveden difon,
o který se v daném slově jedná (je-li těchto difonů více, jsou odděleny
čárkami).  Zápis slov je volen s ohledem na výslovnost pokud možno co
nejjednoznačněji.  Navíc platí následující pravidla:

- DZ, DŽ a ch se uprostřed slov čte vždy jako jedno písmeno, tj. jako ve
  slovech "rachot", "bryndza", "bridž", nikoliv jako ve spojeních "moc hodný"
  nebo "podzim".  Pro lepší orientaci jsou hlásky DZ a DŽ všude psány velkými
  písmeny.

- DZ a DŽ se musí vyslovovat zřetelně zněle.

- Zápis CH (velké písmeno) značí ch před znělými souhláskami.  Takové ch musí
  být vyslovováno zněle, téměř jako písmeno h.

- Zápis Ř (velké písmeno) značí znělé ř, na rozdíl od neznělého ř, které se
  vyskytuje v sousedství neznělých souhlásek.

- Nejsou-li dvě samohlásky nijak odděleny, jedná se o dvojhlásku.  Například
  `eseete' se čte dohromady s plynulým navázáním obou `e', nikoliv jako ve
  spojeních "je elektrický" nebo "neefektivní".

- Všechny ostatní dvojice písmen bez mezery znamenají dvě hlásky.
  Tj. například `pavvel' se čte zřetelně se dvěma `v'.

- Mezera mezi slovy značí, že se nejedná o jedinou hlásku nebo dvojhlásku,
  hlásky se musí vyslovit odděleně (avšak bez pauzy!).  Například `pat aku' se
  vysloví podobně jako "hledat aktovku", nikoliv jako "otakárek".  Stejným
  způsobem se v obalovací větě vyslovují slova začínající samohláskou.  Mezera
  je taktéž vložena mezi hlásky d-z/ž, kde se mají číst zřetelně odděleně,
  tj. například jako ve slově "podzim".

- Občas se v seznamu objevuje mezera mezi slovy bez zjevného důvodu.  Nevím,
  zda se jedná o nějaký záměr nebo pouhý pozůstatek tvorby seznamu slov.
  Každopádně se takové případy čtou bez pauzy mezi hláskami.

- Trojice teček (`...') znamená zřetelnou pauzu, s úplným "vypnutím" hlasu.
  Tato pauza se může nacházet mezi slovy i před nebo za slovem.  Kde tři tečky
  nejsou, tam se pauza nikdy nedělá.

- Kombinace DI, TI, NI jsou zásadně zapisovány jako ĎI, ŤI, ŇI nebo DY, TY, NY,
  analogicky kombinace s Í.

Pokud se v seznamu omylem nachází slovo se zápisem těmto pravidlům odporujícím
nebo stále nejednoznačným, je nutné jeho výslovnost odvodit z u něho uvedeného
difonu.
